{% extends 'base.html' %}

{% block head %}
    Members
{% endblock %}

{% block content %}
    <h1> MEMBERS </h1>
    <div id="members">
        {% for member in members %}
            <div class="member">
                <a href="{{url_for('member.get_member', email=member.email)}}"> {{ member | safe }} </a> 
                {% if member.group.groupname != 'root'and user.group.has_permission('canSeeGroups') and user.group.can_modify_other_user(member.group) %}
                    <form action="" method="post">
                        {{ form.csrf_token }}
                        {{ form.email(value=member.email) }}
                        {{ form.groupname() }}
                        {{ form.submit() }}
                    </form>
                    <form action="" method="post">
                        {{ form2.csrf_token }}
                        {{ form2.email(value=member.email) }}
                        {{ form2.delete_user() }}
                    </form>
                {% endif %}
            </div>
        {% endfor %}
    </div>
{% endblock %}
